Bug 877242 - Some characters can't be searched for in "project-wide search and replace"
Some characters can't be searched for in "project-wide search and replace"
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
Unspecified Linux
high Severity medium
: ---
: 2.0
Assigned To: David Mason
Patrick Huang
Depends On:
  Show dependency treegraph
Reported: 2012-11-15 21:34 EST by Sam Friedmann
Modified: 2013-02-25 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.3-SNAPSHOT (20121127-0017)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-25 22:46:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Friedmann 2012-11-15 21:34:33 EST
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:10.0.10) Gecko/20121025 Firefox/10.0.10
Build Identifier: 

Certain characters in "project-wide search and replace" are not found whereas they are found with a normal search (within a file).
Eg: On a document update, I was trying to replace normal spaces preceding colons by nonbreaking spaces, as some of the colons would end up on they next line when the document was built.
I first searched within a document and I was able to replace the spaces as I wanted.
When trying this on project-wide search and replace, it did not detect them, so I searched for colons only, but it didn't detect any as well.

Reproducible: Always

Steps to Reproduce:
1. Search for a space followed by a colon (or just a colon) in project-wide search and replace.
2. Search for a space followed by a colon (or just a colon) in a file's search box.
Actual Results:  
In project-wide search and replace, there are no results found.
In a file's search box, there are some results.
Comment 1 Sean Flanigan 2012-11-18 20:28:16 EST
Switching to the HQL implementation (rather than Hibernate Search) should fix this.
Comment 2 David Mason 2012-11-23 03:39:56 EST
Changed to HQL use in 2.0.3-SNAPSHOT and 2.1-SNAPSHOT

See: https://github.com/zanata/zanata/commit/1a6d8aae03c2e8856d3864e628320caba1aab64b
Comment 4 Patrick Huang 2012-11-26 22:29:58 EST
verified in Zanata version 2.1-SNAPSHOT (20121127-1134) and Zanata version 2.0.3-SNAPSHOT (20121127-0017).

Note You need to log in before you can comment on or make changes to this bug.